#include<bits/stdc++.h>
using namespace std;
int main ()
{
	ifstream f1; f1.open("KYTUK.INP");
	string s;
	getline(f1,s);
	bool kt[256];
	int a,b,c,dem=0;
	for (a=0;a<256;a++) kt[a]=true;
	for (a=0;a<s.length();a++) 
		{
			if(kt[int(s[a])]) {dem++; kt[int(s[a])]=false;}
		}
	ofstream f2;f2.open("KYTUK.OUT");
	f2<<dem;
	f1.close();
	f2.close();	
}
